import { Component, Prop, h } from '@stencil/core';
export class ScRadioGroup {
  constructor() {
    /** The radio group label. Required for proper accessibility. */
    this.label = '';
  }
  render() {
    return (h("fieldset", { part: "base", class: {
        'radio-group': true,
      }, role: "radiogroup" },
      h("legend", { part: "label", class: "radio-group__label" },
        h("slot", { name: "label" }, this.label)),
      h("slot", null)));
  }
  static get is() { return "sc-radio-group"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sc-radio-group.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sc-radio-group.css"]
  }; }
  static get properties() { return {
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The radio group label. Required for proper accessibility."
      },
      "attribute": "label",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
}
